#include "CWordsUsed.h"
#include "all.h"

void CWordsUsed::Clear()
{
    //clear the shiznit out
    a_word.clear();
}


void CWordsUsed::AddWord(char *p_word)
{

    CUsedWord new_word;
    new_word.s_word = p_word;

    a_word.push_back(new_word);

}

void CWordsUsed::AddWord(string p_word)
{

    CUsedWord new_word;
    new_word.s_word = p_word;

    a_word.push_back(new_word);

}

bool CWordsUsed::IsWordOnList(char *p_word)
{

  for (int i=0; i < a_word.size(); i++)
  {
      if (a_word[i].s_word == p_word)
      {
          return true;
      }
  }
 
  return false;
}


bool CWordsUsed::IsWordOnList(string p_word)
{

  for (int i=0; i < a_word.size(); i++)
  {
      if (a_word[i].s_word == p_word)
      {
          return true;
      }
  }
 
  return false;
}

 void CWordsUsed::PrintWords()
{

  for (int i=0; i < a_word.size(); i++)
  {
      LogMsg("Word %d - %s", i, a_word[i].s_word.c_str());
  }
 
}

const string CWordsUsed::GetLastWordAdded()
{
    if (Count() < 1) return NULL;

    return a_word[Count()-1].s_word;
}


const string CWordsUsed::GetLongestWord()
{
    if (Count() == 0) return NULL;

    int i_longest_word = 0;
    
    int i_index_of_longest = -1;

    for (int i=0; i < a_word.size(); i++)
    {
        if (a_word[i].s_word.length() > i_longest_word)
        {
            i_index_of_longest = i;
        }
    }
 
    if (i_index_of_longest == -1)
    {
        LogError("Couldn't find longest word..");
        return NULL;
    }
    return a_word[i_index_of_longest].s_word;

}